Update for biber-2.1-1
[git/cygwin-packages/biber.git] / biber.cygport
index b6433536ebf99a0b64e113280ea860cd4bf173d9..cb258ba9c286d9f8b75482c963f35423cf7bb05c 100644 (file)
@@ -1,5 +1,5 @@
 NAME="biber"
-VERSION=1.5
+VERSION=2.1
 RELEASE=1
 CATEGORY="Text"
 SUMMARY="BibTeX replacement for users of BibLaTeX"
@@ -14,46 +14,47 @@ GIT_URI="git://github.com/plk/biber.git"
 GIT_TAG=v${VERSION}
 inherit git perl
 
+PATCH_URI="update_for_5_22.patch"
+
 DEPEND="
 perl-Business-ISBN
 perl-Business-ISMN
 perl-Business-ISSN
 perl-Config-AutoConf
 perl-Data-Compare
-perl-Data-Diver
 perl-Data-Dump
 perl-Date-Simple
+perl-Encode-EUCJPASCII
+perl-Encode-HanExtra
+perl-Encode-JIS2K
 perl-ExtUtils-LibBuilder
-perl-File-Slurp-Unicode
+perl-File-Slurp
+perl-IPC-Cmd
 perl-IPC-Run3
 perl-LWP-Protocol-https
 perl-List-AllUtils
 perl-List-MoreUtils
 perl-Log-Log4perl
+perl-Module-Build
 perl-Mozilla-CA
-perl-Readonly-XS
 perl-Regexp-Common
+perl-Test-Differences
+perl-Test-Pod
+perl-Test-Pod-Coverage
 perl-Text-BibTeX
+perl-Text-Roman
+perl-URI
+perl-Unicode-Collate
+perl-Unicode-LineBreak
+perl-Unicode-Normalize
 perl-XML-LibXML-Simple
 perl-XML-LibXSLT
+perl-XML-Writer
+perl-autovivification
 "
 
-# For perl-5.14, also need perl-Unicode-Collate, because the
-# Unicode::Collate included in perl-5.14 is too old.
-
-DEPEND+=" perl-Unicode-Collate"
-
-# The following will be needed for biber-1.6, so I might as well add
-# them now, while I'm thinking about it.
-
-DEPEND+="
-perl-Encode-EUCJPASCII
-perl-Encode-HanExtra
-perl-Encode-JIS2K
-perl-IO-HTML
-perl-Unicode-GCString
-perl-URI
-perl-LWP
-"
+# perl-Test-More
+# perl-File-Which
 
 REQUIRES="texlive-collection-bibtexextra"
+ARCH=noarch
This page took 0.01994 seconds and 5 git commands to generate.